﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using EF_CodeFirstImp.Models;

namespace EF_CodeFirstImp.Controllers
{
    public class BookController : Controller
    {
        readonly BookDbContext _db = new BookDbContext();

        //
        // GET: /Book/

        public ActionResult Index()
        {
            var books = from b in _db.Books
                        where b.Author == "Learninghard"
                        select b;

            return View(books.ToList());
        }

        public ActionResult Create()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Create(Book book)
        {
            if (ModelState.IsValid)
            {
                _db.Books.Add(book);
                _db.SaveChanges();
                return RedirectToAction("Index");
            }
            else
                return View(book);
        }

    }
}
